Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

A task has emerged to install latest subversion for a group of mac os x users (latest mac os version). I have tried first to install it manually from subversion.tigris.org, 'opencollabnet binary' (http://downloads.open.collab.net/binaries.html, "Universal Subversion 1.6.3 Binaries for MAC OS X (32 and 64 bit)"). It installed ok via .pkg installer, but after using 'svn' command I was surprised to see an old 1.4.4 version bundled with macos.

It seems, that installing new subversion does not replace an old one. What is a 'correct' way to ensure that 'svn' command always uses newly installed subversion? I can create a symlink or add /opt/bla-bla-bla/subversion to path, but I'm afraid that such crude hacking can break something.

share|improve this question

2 Answers 2

up vote 5 down vote accepted

You'll need to prepend the /opt/subversion version in the shell's path to have the environment prefer the new version.

The software's README states:

Installation Notes

<snip>

Once installed, you will need to prepend /opt/subversion/bin to your PATH environment variable.
This can be done a multitude of ways but an easy one is to add the following to the end of /etc/profile or ~/.profile:

export PATH=/opt/subversion/bin:$PATH

share|improve this answer

get macports, set it up properly, and install svn from there with:

sudo port install subversion

share|improve this answer
1  
Is it the only way? Installing from macports is a LONG process. Isn't it a way to use official binaries somehow? I'm sure they are created in order to be used :) –  Eye of Hell Jul 7 '09 at 10:48
    
@Eye of Hell - It takes a while but takes a lot of the management of packages out of the way - if Subversion is the only CLI tool you're going to install then I wouldn't. Most tools don't offer .pkg installers however. –  Chealion Jul 7 '09 at 15:19
    
Yeah and because MacPorts isn't updated too often, I don't like using it. –  Brock Woolf Mar 7 '10 at 7:47

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.